> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 💼 Exchange Volume Chart within Time Range by ID

> This endpoint allows you to **query the historical volume chart data in BTC by specifying date range in UNIX based on exchange's ID**

<Note>
  ### Note

  * You can query the historical volume chart data of **derivatives exchanges** with this endpoint as well.
  * The data interval for this endpoint is fixed at daily.
  * The date range between `from` and `to` must be within 31 days.
  * Cache / Update Frequency: 5 minutes
  * Exclusive for Paid Plan Subscribers (Analyst, Lite, Pro and Enterprise)
</Note>


## OpenAPI

````yaml api-reference/coingecko-pro.json get /exchanges/{id}/volume_chart/range
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /exchanges/{id}/volume_chart/range:
    get:
      tags:
        - Exchanges
      summary: 💼 Exchange Volume Chart within Time Range by ID
      description: >-
        This endpoint allows you to **query the historical volume chart data in
        BTC by specifying date range in UNIX based on exchange's ID**
      operationId: exchanges-id-volume-chart-range
      parameters:
        - name: id
          in: path
          description: |-
            exchange ID or derivative exchange ID 
             *refers to [`/exchanges/list`](/reference/exchanges-list) or [`/derivatives/exchanges/list`](/reference/derivatives-exchanges-list).
          required: true
          schema:
            type: string
            default: binance
          examples:
            exchange:
              value: binance
            derivative:
              value: binance_futures
        - name: from
          in: query
          description: 'starting date in UNIX timestamp '
          required: true
          schema:
            type: number
            example: '1672531200'
            default: '1672531200'
        - name: to
          in: query
          description: ending date in UNIX timestamp
          required: true
          schema:
            type: number
            example: '1675123200'
            default: '1675123200'
      responses:
        '200':
          description: Get exchange volume chart data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangeVolumeChart'
components:
  schemas:
    ExchangeVolumeChart:
      type: array
      items:
        type: array
        items:
          oneOf:
            - type: number
            - type: string
      example:
        - - 1711792200000
          - '306800.0517941023777005'
        - - 1711795800000
          - '302561.8185582217570913'
        - - 1711799400000
          - '298240.5127048246776691'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_pro_api_key

````